/* Copyright (C) 2005, 2006, 2007, 2008 by Thomas Hillebrandt and Heiko Will

This file is part of the Micro-mesh SensorWeb Firmware.

Micro-Mesh is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Micro-Mesh is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Micro-Mesh; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* As a special exception, if you include this header file into source
   files compiled by GCC, this header file does not by itself cause
   the resulting executable to be covered by the GNU General Public
   License.  This exception does not however invalidate any other
   reasons why the executable file might be covered by the GNU General
   Public License.  */

#ifndef PA_LNA_H_
#define PA_LNA_H_

#define PA_POWER_30DBM   (620)   // 620 * (3,3V/1024)=2,0V
#define PA_POWER_25DBM   (435)   // 435 * (3,3V/1024)=1,4V
#define PA_POWER_20DBM   (372)   // 372 * (3,3V/1024)=1,2V
#define PA_POWER_10DBM   (279)   // 279 * (3,3V/1024)=0,9V
#define PA_POWER_0DBM    (217)   // 217 * (3,3V/1024)=0,7V
#define PA_POWER_M10DBM  (155)   // 155 * (3,3V/1024)=0,5V

void PaOn(unsigned int power);
void PaOff(void);
void LnaOn(void);
void LnaOff(void);


#endif /*PA_LNA_H_*/
