package carrera.serial;

import java.util.EventListener;

/**
 * Schnittstelle f�r Klassen, die �ber serielle Verbindungen informiert werden
 * wollen.
 * 
 * @version 1.0, 2008-01-14
 * @author  Thomas Hillebrandt
 * @since   1.0
 */
public interface SerialConnectionEventListener extends EventListener {

    /**
     * Benachrichtigt �ber ein <code>SerialConnectionEvent</code>.
     * 
     * @param event Das Ereignis-Objekt mit weiteren Informationen.
     */
    void serialConnectionEvent(SerialConnectionEvent event);
    
}
