package carrera.data;

import java.util.EventObject;

/**
 *
 * @author hillebra
 */
public class CarreraGameEvent extends EventObject {

    private int type;
    
    public static final int EVENT_NEW_GAME = 1;
    public static final int EVENT_GAME_CLOSE = 2;
    public static final int EVENT_NEW_ROUND = 3;
    public static final int EVENT_GAME_END = 4;
    public static final int EVENT_GAME_START = 5;
    public static final int EVENT_CLOCK_TICK = 6;
    public static final int EVENT_GAME_MODE_CHANGE = 7;
    public static final int EVENT_HIGHSCORE_DELETE = 8;
    
    public CarreraGameEvent(Object source, int type) {
        super(source);
        this.type = type;
    }
    
    public int getType() {
        return type;
    }
    
}
