package carrera.serial;

/**
 * Fehlerklasse f�r serielle Verbindung.
 * 
 * @version 1.0, 2008-01-14
 * @author  Thomas Hillebrandt
 * @since   1.0
 */
public class SerialConnectionException extends Exception {

    private int type;
    
    public static final int NO_SUCH_PORT = 1;
    public static final int PORT_IN_USE = 2;
    public static final int IO_ERROR = 3;
    public static final int UNSUPPORTED_COMM_OPERATION = 4;
    public static final int NO_DATA_LISTENER = 5;
    
    public SerialConnectionException(int type) {
        this.type = type;
    }

    public int getType() {
        return type;
    }
    
}
